OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Member Functions | Static Private Attributes
TCPListenHandler< Tsocket, Tfull_packet, Tban_packet > Class Template Reference

Template for TCP listeners. More...

`#include <tcp_listen.h>`

## Static Public Member Functions
static void | AcceptClient (SOCKET ls)
| Accepts clients from the sockets.
static bool | Receive ()
| Handle the receiving of packets.
static bool | Listen (uint16 port)
| Listen on a particular port.
static void | CloseListeners ()
| Close the sockets we're listening on.

## Static Private Attributes
static SocketList | sockets
| List of sockets we listen on.

## Detailed Description

### template<class Tsocket, PacketType Tfull_packet, PacketType Tban_packet>
class TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >

Template for TCP listeners.

Parameters

  Tsocket | The class we create sockets for.
  Tfull_packet | The packet type to return when we don't allow more sockets.
  Tban_packet | The packet type to return when the client is banned.

Definition at line 32 of file tcp_listen.h.

## Member Function Documentation

template<class Tsocket, PacketType Tfull_packet, PacketType Tban_packet>

static void TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >::AcceptClient | ( | SOCKET | ls | ) |
| inline static

Accepts clients from the sockets.

Parameters

  ls | Socket to accept clients from.

Definition at line 41 of file tcp_listen.h.

Referenced by TCPListenHandler< ServerNetworkGameSocketHandler, PACKET_SERVER_FULL, PACKET_SERVER_BANNED >::Receive().

template<class Tsocket, PacketType Tfull_packet, PacketType Tban_packet>

static void TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >::CloseListeners | ( |  | ) |
| inline static

Close the sockets we're listening on.

Definition at line 168 of file tcp_listen.h.

template<class Tsocket, PacketType Tfull_packet, PacketType Tban_packet>

static bool TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >::Listen | ( | uint16 | port | ) |
| inline static

Listen on a particular port.

Parameters

  port | The port to listen on.

Returns
  true if listening succeeded.

Definition at line 147 of file tcp_listen.h.

template<class Tsocket, PacketType Tfull_packet, PacketType Tban_packet>

static bool TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >::Receive | ( |  | ) |
| inline static

Handle the receiving of packets.

Returns
  true if everything went okay.

Definition at line 100 of file tcp_listen.h.

## Field Documentation

template<class Tsocket, PacketType Tfull_packet, PacketType Tban_packet>

SocketList TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >::sockets
| static private

List of sockets we listen on.

Definition at line 34 of file tcp_listen.h.

Referenced by TCPListenHandler< ServerNetworkGameSocketHandler, PACKET_SERVER_FULL, PACKET_SERVER_BANNED >::CloseListeners(), TCPListenHandler< ServerNetworkGameSocketHandler, PACKET_SERVER_FULL, PACKET_SERVER_BANNED >::Listen(), and TCPListenHandler< ServerNetworkGameSocketHandler, PACKET_SERVER_FULL, PACKET_SERVER_BANNED >::Receive().

The documentation for this class was generated from the following file:

- src/network/core/tcp_listen.h